DAOS API: daos_pipeline_run_t Struct Reference

| DAOS API (v2.1 - dev)

Loading...
Searching...
No Matches
daos_pipeline_run_t Struct Reference

`#include <daos_task.h>`

## Data Fields
daos_handle_t | oh
daos_handle_t | th
daos_pipeline_t * | pipeline
uint64_t | flags
daos_key_t * | dkey
uint32_t * | nr_iods
daos_iod_t * | iods
daos_anchor_t * | anchor
uint32_t * | nr_kds
daos_key_desc_t * | kds
d_sg_list_t * | sgl_keys
d_sg_list_t * | sgl_recx
daos_size_t * | recx_size
d_sg_list_t * | sgl_agg
daos_pipeline_stats_t * | stats

## Detailed Description

Pipeline run args

Definition at line 1054 of file daos_task.h.

## Field Documentation

## ◆ anchor

daos_anchor_t* anchor

anchor to start from last returned key

Definition at line 1070 of file daos_task.h.

## ◆ dkey

daos_key_t* dkey

operation done on this specific dkey

Definition at line 1064 of file daos_task.h.

## ◆ flags

uint64_t flags

conditional operations

Definition at line 1062 of file daos_task.h.

## ◆ iods

daos_iod_t* iods

akeys

Definition at line 1068 of file daos_task.h.

## ◆ kds

daos_key_desc_t* kds

keys' metadata

Definition at line 1074 of file daos_task.h.

## ◆ nr_iods

uint32_t* nr_iods

I/O descriptors in the iods table.

Definition at line 1066 of file daos_task.h.

## ◆ nr_kds

uint32_t* nr_kds

number of keys in kds and sgl_keys

Definition at line 1072 of file daos_task.h.

## ◆ oh

daos_handle_t oh

object handler

Definition at line 1056 of file daos_task.h.

## ◆ pipeline

daos_pipeline_t* pipeline

pipeline object

Definition at line 1060 of file daos_task.h.

## ◆ recx_size

daos_size_t* recx_size

records' size

Definition at line 1080 of file daos_task.h.

## ◆ sgl_agg

d_sg_list_t* sgl_agg

aggregations

Definition at line 1082 of file daos_task.h.

## ◆ sgl_keys

d_sg_list_t* sgl_keys

dkeys

Definition at line 1076 of file daos_task.h.

## ◆ sgl_recx

d_sg_list_t* sgl_recx

records

Definition at line 1078 of file daos_task.h.

## ◆ stats

daos_pipeline_stats_t* stats

returned pipeline stats

Definition at line 1084 of file daos_task.h.

## ◆ th

daos_handle_t th

transaction handler

Definition at line 1058 of file daos_task.h.

The documentation for this struct was generated from the following file:

- src/include/daos_task.h